Name: x11-driver-input-evdev
Version: 2.10.6
Release: %mkrel 6
Summary: X.org input driver for Linux generic event devices
Group: System/X11
URL: http://xorg.freedesktop.org
Source: xf86-input-evdev-%{version}.tar.xz

License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: %{_lib}udev0-devel
BuildRequires: %{_lib}pciaccess-devel
BuildRequires: %{_lib}pixman-devel
BuildRequires: %{_lib}mtdev-devel
BuildRequires: %{_lib}evdev-devel

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)
Obsoletes: imwheel

%description
Evdev is an Xorg input driver for Linux's generic event devices.
It therefore supports all input devices that the kernel knows about,
including most mice and keyboards.


%package devel
Summary: Development files for %{name}
Group: Development/X11
License: MIT

%description devel
Development files for %{name}

%prep
%setup -q -n xf86-input-evdev-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
####%{_libdir}/xorg/modules/input/evdev_drv.la
%{_libdir}/xorg/modules/input/evdev_drv.so
%{_mandir}/man4/evdev.*
%{_datadir}/X11/xorg.conf.d/10-evdev.conf

%files devel
%{_includedir}/xorg/evdev-properties.h
%{_libdir}/pkgconfig/xorg-evdev.pc

%changelog
* Mon Dec 19 2022 tex - 2.10.6-6pclos2022
- rebuild against updates

* Wed Jan 26 2022 tex - 2.10.6-5pclos2022
- rebuild against updates

* Fri Aug 30 2019 tex - 2.10.6-4pclos2019
- rebuild against updates

* Sun Mar 31 2019 tex - 2.10.6-3pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 2.10.6-2pclos2019
- rebuild against updates

* Sun Feb 10 2019 onkelho <oh.quait at gmail.com> 2.10.6-1pclos2019
- new ver-rel

* Sun Mar 26 2017 bb2 <bb2> - 2.10.5-1.1pclos2017
- rebuilt

* Mon Jan 23 2017 bb <bb> 2.10.5-1pclos2017
- new version

* Wed Oct 05 2016 bb <bb> 2.10.4-1pclos2016
- update

* Wed Jul 20 2016 bb <bb> 2.10.3-2pclos2016
- rebuild new xorg

* Thu Jun 02 2016 bb <bb> 2.10.3-1pclos2016
- update

* Wed May 11 2016 bb <bb> 2.10.2-1pclos2016
- update

* Thu Jan 14 2016 bb <bb> 2.10.1-1pclos2016
- update

